Subject: Re: [ANNOUNCE] GIT 1.5.3

From: Junio C Hamano <[email-masked]>
Date: Sun, 02 Sep 2007 16:28:47 -0700

David Kågedal <[email-masked]> writes:

> David Kågedal <[email-masked]> writes:
>
>> Junio C Hamano <[email-masked]> writes:
>>
>>> GIT v1.5.3 Release Notes
>>> ========================
>>>
>>> Updates since v1.5.2
>>> --------------------
>>>
>>> * The commit walkers other than http are officially deprecated,
>>>   but still supported for now.
>>
>> As I think I said before, this first bullet point makes no sense to
>> git users.  Only hardcore git developers know what a "commit walker
>> is", and what commit walkers exist (other than html, obviously).  How
>
> I'm not trying to make you even more confused. Make that "http",
> please. :-)

Unless you work extremely hard at it, you won't be using the
local and/or ssh walkers.  The entry is really meant for
Porcelain writers (aka plumbing users).

It's a tricky balancing act.  Not everybody is the end user who
is only interested in using Porcelain.  The release note for a
new release somehow needs to mention changes that would affect
only plumbing users as well.